Bug 1503575 - DNF breaks composes: AttributeError: 'NoneType' object has no attribute 'install_set'
Summary: DNF breaks composes: AttributeError: 'NoneType' object has no attribute 'inst...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-18 12:17 UTC by Igor Gnatenko
Modified: 2017-11-11 02:56 UTC (History)
7 users (show)

Fixed In Version: dnf-2.7.5-1.fc26 dnf-2.7.5-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-21 22:21:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Igor Gnatenko 2017-10-18 12:17:27 UTC
Traceback (most recent call last):
  File "/usr/sbin/lorax", line 279, in <module>
    main()
  File "/usr/sbin/lorax", line 135, in main
    remove_temp=True, verify=opts.verify)
  File "/usr/lib/python3.6/site-packages/pylorax/__init__.py", line 331, in run
    rb.finished()
  File "/usr/lib/python3.6/site-packages/pylorax/treebuilder.py", line 235, in finished
    self.dbo.close()
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 415, in close
    self._finalize_base()
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 384, in _finalize_base
    if self._transaction.install_set:
AttributeError: 'NoneType' object has no attribute 'install_set'

https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20171018.n.0/logs/x86_64/buildinstall-Cloud.x86_64.log

Comment 1 Igor Gnatenko 2017-10-18 12:18:53 UTC
I think this is regression from https://github.com/rpm-software-management/dnf/commit/4150851ed529eb48c35ae6308321ab9c214357d8

Comment 2 Jaroslav Mracek 2017-10-18 13:20:04 UTC
I created a patch https://github.com/rpm-software-management/dnf/pull/958

Comment 3 Fedora Update System 2017-10-18 19:07:10 UTC
dnf-2.7.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d2e8fdf5d8

Comment 4 Fedora Update System 2017-10-18 19:07:38 UTC
dnf-2.7.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee5c678e8b

Comment 5 Fedora Update System 2017-10-19 15:23:07 UTC
dnf-2.7.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee5c678e8b

Comment 6 Fedora Update System 2017-10-19 19:52:33 UTC
dnf-2.7.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d2e8fdf5d8

Comment 7 Fedora Update System 2017-10-21 22:21:45 UTC
dnf-2.7.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-11-11 02:56:51 UTC
dnf-2.7.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.